Initiate SSO login
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Request to initiate SSO login.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/auth/sso/login" \ -H "Content-Type: application/json" \ -d '{ "email": "string" }'{ "authorizationUrl": "string"}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}Query the current link status for a provider. CLI / MCP clients poll this after opening the authorize URL in the user's browser.
Previous Page
SSO callback (code exchange)
Exchanges the authorization code from the Identity Provider for tokens, validates the ID token, and performs JIT user provisioning if needed. Returns Supabase JWT tokens for the authenticated session.